EventBufferEvent::sslFilter
EventBufferEvent::sslSocket
EventBufferEvent
PHP Manual

# EventBufferEvent::sslRenegotiate

(PECL event >= 1.2.6-beta)

EventBufferEvent::sslRenegotiate — Tells a bufferevent to begin SSL renegotiation.

### Description

public void EventBufferEvent::sslRenegotiate ( void )

Tells a bufferevent to begin SSL renegotiation.

Warning

Calling this function tells the SSL to renegotiate, and the buffer event to invoke appropriate callbacks. This is an advanced topic; this should be generally avoided unless one really knows what he/she does, especially since many SSL versions have had known security issues related to renegotiation.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

EventBufferEvent::sslFilter
EventBufferEvent::sslSocket
EventBufferEvent
PHP Manual